Subject: Diascias in the US and Canada

From: [email-masked] (Christine Boulby)
Date: Mon, 3 Apr 1995 11:39:50 +0000

I am interested in diascias.  If anyone knows anything about US/Canadian
sources or is interested in them I am anxious to enter into communication.
I am the British National Collection holder for perennial diascias,
and have heard there are people in the US currently working with them.  
-- 
Christine Boulby